<div class="contact-container">
  <h2>Contact</h2>

  <div class="contact-form">
    <div class="alert alert-success" *ngIf="contactFormSubmitted">
      Your comments was sent successfully, we will contact you as soon as possible!
    </div>

    <form [formGroup]="contactForm" (ngSubmit)="onSubmit()" novalidate>
      <div class="form-group">
        <label for="villain">Villain name</label>
        <input
          class="form-control"
          id="villain"
          type="text"
          formControlName="Villain"
          [ngClass]="{
            'is-invalid': contactForm.get('Villain').invalid && !contactForm.get('Villain').pristine,
            'is-valid': contactForm.get('Villain').valid && !contactForm.get('Villain').pristine
          }"
        />
        <div
          *ngIf="contactForm.get('Villain').invalid && !contactForm.get('Villain').pristine"
          class="invalid-feedback"
        >
          <span *ngIf="contactForm.get('Team').errors.forbiddenName; else commonInvalid">
            GRU name is not allowed, he is the best!
          </span>
        </div>
      </div>

      <div class="form-group">
        <label for="team">Team name</label>
        <input
          class="form-control"
          id="team"
          type="text"
          formControlName="Team"
          [ngClass]="{
            'is-invalid': contactForm.get('Team').invalid && !contactForm.get('Team').pristine,
            'is-valid': contactForm.get('Team').valid && !contactForm.get('Team').pristine
          }"
        />
        <div *ngIf="contactForm.get('Team').invalid && !contactForm.get('Team').pristine" class="invalid-feedback">
          <span *ngIf="contactForm.get('Team').errors.villainTeamMatch; else commonInvalid">
            Villain name must be contained into team name
          </span>
        </div>
      </div>

      <div class="form-group">
        <label for="email">Email</label>
        <input
          class="form-control"
          id="email"
          type="text"
          formControlName="Email"
          [ngClass]="{
            'is-invalid': contactForm.get('Email').invalid && !contactForm.get('Email').pristine,
            'is-valid': contactForm.get('Email').valid && !contactForm.get('Email').pristine
          }"
        />
        <div *ngIf="contactForm.get('Email').invalid && !contactForm.get('Email').pristine" class="invalid-feedback">
          <span *ngIf="contactForm.get('Email').errors.email; else commonInvalid">Valid email is required</span>
        </div>
      </div>

      <div class="form-group">
        <label for="password">Password</label>
        <input
          class="form-control"
          id="password"
          type="password"
          formControlName="Password"
          [ngClass]="{
            'is-invalid': contactForm.get('Password').invalid && !contactForm.get('Password').pristine,
            'is-valid': contactForm.get('Password').valid && !contactForm.get('Password').pristine
          }"
        />
        <div
          *ngIf="contactForm.get('Password').invalid && !contactForm.get('Password').pristine"
          class="invalid-feedback"
        >
          <span *ngIf="contactForm.get('Password').errors.minlength; else commonInvalid">
            Password should be at least 6 characters
          </span>
        </div>
      </div>

      <div class="form-group">
        <label for="comments">Comments</label>
        <textarea
          class="form-control"
          id="comments"
          formControlName="Comments"
          [ngClass]="{
            'is-invalid': contactForm.get('Comments').invalid && !contactForm.get('Comments').pristine,
            'is-valid': contactForm.get('Comments').valid && !contactForm.get('Comments').pristine
          }"
        ></textarea>
        <div
          *ngIf="contactForm.get('Comments').invalid && !contactForm.get('Comments').pristine"
          class="invalid-feedback"
        >
          <div *ngIf="contactForm.get('Comments').errors.minlength">
            Comments should be at least 20 characters
          </div>
          <div *ngIf="contactForm.get('Comments').errors.pattern">
            Comments should match pattern with letters, numbers or whitespaces
          </div>
        </div>
      </div>

      <ng-template #commonInvalid>
        This field is required
      </ng-template>

      <button type="submit" [disabled]="!contactForm.valid" class="btn btn-primary">Submit</button>
    </form>
  </div>
</div>
